%define upstream_name    Alien-Libxml2
%define upstream_version 0.17

%define debug_package %{nil}
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Alien package for libxml2
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base) >= 2.370.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::SearchDep) >= 0.350.0
BuildRequires: perl(Alien::Build::Plugin::Prefer::BadVersion) >= 1.50.0
BuildRequires: perl(Alien::Build::Plugin::Probe::Vcpkg)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildRequires: pkgconfig(libxml-2.0)
Requires:   %mklibname xml2 _2
%description
Alien::Libxml2 - Download and install libxml2

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Tue Nov 03 2020 tv <tv> 0.170.0-1.mga8
+ Revision: 1641949
- update to 0.17

* Thu Apr 23 2020 tv <tv> 0.160.0-1.mga8
+ Revision: 1571197
- update to 0.16

* Fri Mar 20 2020 tv <tv> 0.150.0-1.mga8
+ Revision: 1558131
- update to 0.15

* Tue Mar 10 2020 tv <tv> 0.140.0-1.mga8
+ Revision: 1555241
- update to 0.14

* Tue Feb 18 2020 umeabot <umeabot> 0.120.0-2.mga8
+ Revision: 1540770
- Mageia 8 Mass Rebuild

* Mon Dec 16 2019 tv <tv> 0.120.0-1.mga8
+ Revision: 1468230
- update to 0.12

* Tue Oct 29 2019 tv <tv> 0.110.0-1.mga8
+ Revision: 1456539
- update to 0.11

* Sat Jun 29 2019 shlomif <shlomif> 0.90.0-1.mga8
+ Revision: 1415424
- update to 0.09

* Thu Mar 28 2019 tv <tv> 0.70.0-1.mga7
+ Revision: 1380729
- update to 0.07

* Sat Mar 23 2019 shlomif <shlomif> 0.60.0-1.mga7
+ Revision: 1379729
- Fix requires
- import based on Alien-TidyHTML5

